summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorngie <ngie@FreeBSD.org>2015-11-25 00:12:13 +0000
committerngie <ngie@FreeBSD.org>2015-11-25 00:12:13 +0000
commit5f669205ba8e7d5af97c48482f51e599c9b48040 (patch)
tree60d4918f7804ac5067b13e81b2c0f5f444813bca
parent3fe9284580e2b63fc46a00764a006af9558a977f (diff)
downloadFreeBSD-src-5f669205ba8e7d5af97c48482f51e599c9b48040.zip
FreeBSD-src-5f669205ba8e7d5af97c48482f51e599c9b48040.tar.gz
- Allocate random devices via attach_md
- Replace hardcoded references to /tmp with $TMPDIR - Remove all manual mdconfig -d -u calls
-rwxr-xr-xsbin/geom/class/tests/raid3/10_test.sh20
-rwxr-xr-xsbin/geom/class/tests/raid3/11_test.sh20
-rwxr-xr-xsbin/geom/class/tests/raid3/12_test.sh26
-rwxr-xr-xsbin/geom/class/tests/raid3/1_test.sh15
-rwxr-xr-xsbin/geom/class/tests/raid3/2_test.sh20
-rwxr-xr-xsbin/geom/class/tests/raid3/3_test.sh20
-rwxr-xr-xsbin/geom/class/tests/raid3/4_test.sh20
-rwxr-xr-xsbin/geom/class/tests/raid3/5_test.sh20
-rwxr-xr-xsbin/geom/class/tests/raid3/6_test.sh22
-rwxr-xr-xsbin/geom/class/tests/raid3/7_test.sh24
-rwxr-xr-xsbin/geom/class/tests/raid3/8_test.sh22
-rwxr-xr-xsbin/geom/class/tests/raid3/9_test.sh24
12 files changed, 90 insertions, 163 deletions
diff --git a/sbin/geom/class/tests/raid3/10_test.sh b/sbin/geom/class/tests/raid3/10_test.sh
index 1320120..fc059ac 100755
--- a/sbin/geom/class/tests/raid3/10_test.sh
+++ b/sbin/geom/class/tests/raid3/10_test.sh
@@ -5,22 +5,19 @@
echo "1..1"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
ddbs=2048
nblocks1=1024
nblocks2=`expr $nblocks1 / \( $ddbs / 512 \)`
-src=`mktemp /tmp/$base.XXXXXX` || exit 1
-dst=`mktemp /tmp/$base.XXXXXX` || exit 1
+src=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
+dst=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
-dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+us0=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us1=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us2=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us0 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us1 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us2 || exit 1
+dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
-graid3 label -r $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+graid3 label -r $name /dev/${us0} /dev/${us1} /dev/${us2} || exit 1
devwait
dd if=${src} of=/dev/raid3/${name} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
@@ -33,7 +30,4 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
rm -f ${src} ${dst}
diff --git a/sbin/geom/class/tests/raid3/11_test.sh b/sbin/geom/class/tests/raid3/11_test.sh
index 3382214..ae35ce1 100755
--- a/sbin/geom/class/tests/raid3/11_test.sh
+++ b/sbin/geom/class/tests/raid3/11_test.sh
@@ -5,22 +5,19 @@
echo "1..1"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
ddbs=2048
nblocks1=1024
nblocks2=`expr $nblocks1 / \( $ddbs / 512 \)`
-src=`mktemp /tmp/$base.XXXXXX` || exit 1
-dst=`mktemp /tmp/$base.XXXXXX` || exit 1
+src=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
+dst=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
-dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+us0=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us1=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us2=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us0 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us1 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us2 || exit 1
+dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
-graid3 label -w $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+graid3 label -w $name /dev/${us0} /dev/${us1} /dev/${us2} || exit 1
devwait
dd if=${src} of=/dev/raid3/${name} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
@@ -33,7 +30,4 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
rm -f ${src} ${dst}
diff --git a/sbin/geom/class/tests/raid3/12_test.sh b/sbin/geom/class/tests/raid3/12_test.sh
index 3dec406..3b3647a 100755
--- a/sbin/geom/class/tests/raid3/12_test.sh
+++ b/sbin/geom/class/tests/raid3/12_test.sh
@@ -5,31 +5,28 @@
echo "1..1"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
nblocks1=9
nblocks2=`expr $nblocks1 - 1`
nblocks3=`expr $nblocks2 / 2`
-mdconfig -a -t malloc -s $nblocks1 -u $us0 || exit 1
-mdconfig -a -t malloc -s $nblocks1 -u $us1 || exit 1
-mdconfig -a -t malloc -s $nblocks1 -u $us2 || exit 1
+us0=$(attach_md -t malloc -s $nblocks1) || exit 1
+us1=$(attach_md -t malloc -s $nblocks1) || exit 1
+us2=$(attach_md -t malloc -s $nblocks1) || exit 1
-dd if=/dev/random of=/dev/md${us0} count=$nblocks1 >/dev/null 2>&1
-dd if=/dev/random of=/dev/md${us1} count=$nblocks1 >/dev/null 2>&1
-dd if=/dev/random of=/dev/md${us2} count=$nblocks1 >/dev/null 2>&1
+dd if=/dev/random of=/dev/${us0} count=$nblocks1 >/dev/null 2>&1
+dd if=/dev/random of=/dev/${us1} count=$nblocks1 >/dev/null 2>&1
+dd if=/dev/random of=/dev/${us2} count=$nblocks1 >/dev/null 2>&1
-graid3 label -w $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+graid3 label -w $name /dev/${us0} /dev/${us1} /dev/${us2} || exit 1
devwait
# Wait for synchronization.
sleep 2
graid3 stop $name
# Break one component.
-dd if=/dev/random of=/dev/md${us1} count=$nblocks2 >/dev/null 2>&1
+dd if=/dev/random of=/dev/${us1} count=$nblocks2 >/dev/null 2>&1
# Provoke retaste of the rest components.
-true > /dev/md${us0}
-true > /dev/md${us2}
+true > /dev/${us0}
+true > /dev/${us2}
sleep 1
dd if=/dev/raid3/${name} of=/dev/null bs=1k count=$nblocks3 >/dev/null 2>&1
@@ -41,6 +38,3 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
diff --git a/sbin/geom/class/tests/raid3/1_test.sh b/sbin/geom/class/tests/raid3/1_test.sh
index 9202967..cf88054 100755
--- a/sbin/geom/class/tests/raid3/1_test.sh
+++ b/sbin/geom/class/tests/raid3/1_test.sh
@@ -5,15 +5,11 @@
echo "1..2"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
+us0=$(attach_md -t malloc -s 1M) || exit 1
+us1=$(attach_md -t malloc -s 2M) || exit 1
+us2=$(attach_md -t malloc -s 3M) || exit 1
-mdconfig -a -t malloc -s 1M -u $us0 || exit 1
-mdconfig -a -t malloc -s 2M -u $us1 || exit 1
-mdconfig -a -t malloc -s 3M -u $us2 || exit 1
-
-graid3 label $name /dev/md${us0} /dev/md${us1} /dev/md${us2} 2>/dev/null || exit 1
+graid3 label $name /dev/${us0} /dev/${us1} /dev/${us2} 2>/dev/null || exit 1
devwait
# Size of created device should be 2MB - 1024B.
@@ -32,6 +28,3 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
diff --git a/sbin/geom/class/tests/raid3/2_test.sh b/sbin/geom/class/tests/raid3/2_test.sh
index 88daf78..5742739 100755
--- a/sbin/geom/class/tests/raid3/2_test.sh
+++ b/sbin/geom/class/tests/raid3/2_test.sh
@@ -5,22 +5,19 @@
echo "1..1"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
ddbs=2048
nblocks1=1024
nblocks2=`expr $nblocks1 / \( $ddbs / 512 \)`
-src=`mktemp /tmp/$base.XXXXXX` || exit 1
-dst=`mktemp /tmp/$base.XXXXXX` || exit 1
+src=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
+dst=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
-dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+us0=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us1=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us2=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us0 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us1 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us2 || exit 1
+dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
-graid3 label $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+graid3 label $name /dev/${us0} /dev/${us1} /dev/${us2} || exit 1
devwait
dd if=${src} of=/dev/raid3/${name} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
@@ -33,7 +30,4 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
rm -f ${src} ${dst}
diff --git a/sbin/geom/class/tests/raid3/3_test.sh b/sbin/geom/class/tests/raid3/3_test.sh
index d2c1a5f..2e7da7c 100755
--- a/sbin/geom/class/tests/raid3/3_test.sh
+++ b/sbin/geom/class/tests/raid3/3_test.sh
@@ -5,22 +5,19 @@
echo "1..1"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
ddbs=2048
nblocks1=1024
nblocks2=`expr $nblocks1 / \( $ddbs / 512 \)`
-src=`mktemp /tmp/$base.XXXXXX` || exit 1
-dst=`mktemp /tmp/$base.XXXXXX` || exit 1
+src=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
+dst=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
-dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+us0=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us1=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us2=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us0 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us1 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us2 || exit 1
+dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
-graid3 label $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+graid3 label $name /dev/${us0} /dev/${us1} /dev/${us2} || exit 1
devwait
dd if=${src} of=/dev/raid3/${name} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
@@ -37,7 +34,4 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
rm -f ${src} ${dst}
diff --git a/sbin/geom/class/tests/raid3/4_test.sh b/sbin/geom/class/tests/raid3/4_test.sh
index d437ec0..8bad777 100755
--- a/sbin/geom/class/tests/raid3/4_test.sh
+++ b/sbin/geom/class/tests/raid3/4_test.sh
@@ -5,22 +5,19 @@
echo "1..1"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
ddbs=2048
nblocks1=1024
nblocks2=`expr $nblocks1 / \( $ddbs / 512 \)`
-src=`mktemp /tmp/$base.XXXXXX` || exit 1
-dst=`mktemp /tmp/$base.XXXXXX` || exit 1
+src=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
+dst=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
-dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+us0=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us1=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us2=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us0 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us1 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us2 || exit 1
+dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
-graid3 label $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+graid3 label $name /dev/${us0} /dev/${us1} /dev/${us2} || exit 1
devwait
#
@@ -37,7 +34,4 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
rm -f ${src} ${dst}
diff --git a/sbin/geom/class/tests/raid3/5_test.sh b/sbin/geom/class/tests/raid3/5_test.sh
index ffd85f6..8d904ec 100755
--- a/sbin/geom/class/tests/raid3/5_test.sh
+++ b/sbin/geom/class/tests/raid3/5_test.sh
@@ -5,22 +5,19 @@
echo "1..1"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
ddbs=2048
nblocks1=1024
nblocks2=`expr $nblocks1 / \( $ddbs / 512 \)`
-src=`mktemp /tmp/$base.XXXXXX` || exit 1
-dst=`mktemp /tmp/$base.XXXXXX` || exit 1
+src=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
+dst=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
-dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+us0=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us1=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us2=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us0 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us1 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us2 || exit 1
+dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
-graid3 label $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+graid3 label $name /dev/${us0} /dev/${us1} /dev/${us2} || exit 1
devwait
#
@@ -37,7 +34,4 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
rm -f ${src} ${dst}
diff --git a/sbin/geom/class/tests/raid3/6_test.sh b/sbin/geom/class/tests/raid3/6_test.sh
index 97b5503..828f92a 100755
--- a/sbin/geom/class/tests/raid3/6_test.sh
+++ b/sbin/geom/class/tests/raid3/6_test.sh
@@ -5,22 +5,19 @@
echo "1..1"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
ddbs=2048
nblocks1=1024
nblocks2=`expr $nblocks1 / \( $ddbs / 512 \)`
-src=`mktemp /tmp/$base.XXXXXX` || exit 1
-dst=`mktemp /tmp/$base.XXXXXX` || exit 1
+src=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
+dst=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
-dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+us0=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us1=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us2=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us0 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us1 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us2 || exit 1
+dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
-graid3 label $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+graid3 label $name /dev/${us0} /dev/${us1} /dev/${us2} || exit 1
devwait
dd if=${src} of=/dev/raid3/${name} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
@@ -29,7 +26,7 @@ dd if=${src} of=/dev/raid3/${name} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
# Rebuild of DATA component.
#
graid3 remove -n 1 $name
-dd if=/dev/zero of=/dev/md${us1} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
+dd if=/dev/zero of=/dev/${us1} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
graid3 insert -n 1 $name md${us1}
sleep 1
@@ -41,7 +38,4 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
rm -f ${src} ${dst}
diff --git a/sbin/geom/class/tests/raid3/7_test.sh b/sbin/geom/class/tests/raid3/7_test.sh
index 3d89873..c0efdda 100755
--- a/sbin/geom/class/tests/raid3/7_test.sh
+++ b/sbin/geom/class/tests/raid3/7_test.sh
@@ -5,22 +5,19 @@
echo "1..1"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
ddbs=2048
nblocks1=1024
nblocks2=`expr $nblocks1 / \( $ddbs / 512 \)`
-src=`mktemp /tmp/$base.XXXXXX` || exit 1
-dst=`mktemp /tmp/$base.XXXXXX` || exit 1
+src=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
+dst=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
-dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+us0=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us1=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us2=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us0 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us1 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us2 || exit 1
+dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
-graid3 label $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+graid3 label $name /dev/${us0} /dev/${us1} /dev/${us2} || exit 1
devwait
dd if=${src} of=/dev/raid3/${name} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
@@ -29,12 +26,12 @@ dd if=${src} of=/dev/raid3/${name} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
# Rebuild of PARITY component.
#
graid3 remove -n 2 $name
-dd if=/dev/zero of=/dev/md${us2} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
+dd if=/dev/zero of=/dev/${us2} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
graid3 insert -n 2 $name md${us2}
sleep 1
# Remove DATA component, so PARITY component can be used while reading.
graid3 remove -n 1 $name
-dd if=/dev/zero of=/dev/md${us1} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
+dd if=/dev/zero of=/dev/${us1} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
dd if=/dev/raid3/${name} of=${dst} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
if [ `md5 -q ${src}` != `md5 -q ${dst}` ]; then
@@ -44,7 +41,4 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
rm -f ${src} ${dst}
diff --git a/sbin/geom/class/tests/raid3/8_test.sh b/sbin/geom/class/tests/raid3/8_test.sh
index b9621f4..3272814 100755
--- a/sbin/geom/class/tests/raid3/8_test.sh
+++ b/sbin/geom/class/tests/raid3/8_test.sh
@@ -5,29 +5,26 @@
echo "1..1"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
ddbs=2048
nblocks1=1024
nblocks2=`expr $nblocks1 / \( $ddbs / 512 \)`
-src=`mktemp /tmp/$base.XXXXXX` || exit 1
-dst=`mktemp /tmp/$base.XXXXXX` || exit 1
+src=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
+dst=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
-dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+us0=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us1=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us2=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us0 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us1 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us2 || exit 1
+dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
-graid3 label $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+graid3 label $name /dev/${us0} /dev/${us1} /dev/${us2} || exit 1
devwait
#
# Writing without DATA component and rebuild of DATA component.
#
graid3 remove -n 1 $name
-dd if=/dev/zero of=/dev/md${us1} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
+dd if=/dev/zero of=/dev/${us1} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
dd if=${src} of=/dev/raid3/${name} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
graid3 insert -n 1 $name md${us1}
sleep 1
@@ -40,7 +37,4 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
rm -f ${src} ${dst}
diff --git a/sbin/geom/class/tests/raid3/9_test.sh b/sbin/geom/class/tests/raid3/9_test.sh
index 0695011..aa6768b 100755
--- a/sbin/geom/class/tests/raid3/9_test.sh
+++ b/sbin/geom/class/tests/raid3/9_test.sh
@@ -5,35 +5,32 @@
echo "1..1"
-us0=45
-us1=`expr $us0 + 1`
-us2=`expr $us0 + 2`
ddbs=2048
nblocks1=1024
nblocks2=`expr $nblocks1 / \( $ddbs / 512 \)`
-src=`mktemp /tmp/$base.XXXXXX` || exit 1
-dst=`mktemp /tmp/$base.XXXXXX` || exit 1
+src=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
+dst=`mktemp $TMPDIR/$base.XXXXXX` || exit 1
-dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+us0=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us1=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
+us2=$(attach_md -t malloc -s $(expr $nblocks1 + 1)) || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us0 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us1 || exit 1
-mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us2 || exit 1
+dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
-graid3 label $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+graid3 label $name /dev/${us0} /dev/${us1} /dev/${us2} || exit 1
devwait
#
# Writing without PARITY component and rebuild of PARITY component.
#
graid3 remove -n 2 $name
-dd if=/dev/zero of=/dev/md${us2} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
+dd if=/dev/zero of=/dev/${us2} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
dd if=${src} of=/dev/raid3/${name} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
graid3 insert -n 2 $name md${us2}
sleep 1
# Remove DATA component, so PARITY component can be used while reading.
graid3 remove -n 1 $name
-dd if=/dev/zero of=/dev/md${us1} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
+dd if=/dev/zero of=/dev/${us1} bs=512 count=`expr $nblocks1 + 1` >/dev/null 2>&1
dd if=/dev/raid3/${name} of=${dst} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
if [ `md5 -q ${src}` != `md5 -q ${dst}` ]; then
@@ -43,7 +40,4 @@ else
fi
graid3 stop $name
-mdconfig -d -u $us0
-mdconfig -d -u $us1
-mdconfig -d -u $us2
rm -f ${src} ${dst}
OpenPOWER on IntegriCloud